% Loesung von Aufgabe 15 aus Kapitel 7
rechteck = @(x) sign(x/2 - round(x/2));

% Berechnung der Integrale fuer die Koeffizienten
% Die Kosinusterme verschwinden aufgrund der Antisymmetrie von rechteck,
% es bleiben die Sinus-Koeffizienten b_n
T = 2;               % Schwingungsdauer
N = 10;              % Zahl der Harmonischen
b = zeros(N, 1);     % Vektor fuer die Koeffizienten
for I = 1:N
  f = @(t) rechteck(t).*sin(I*pi*t);
  b(I) = 2/T*quadl(f, 0, T);
end

% Ausgabe der Koeffizienten
stem(b)
xlim([-0.1, 10.1])
ylim([0, 1.4])
input('Press <ENTER> to continue')

% Berechnung von Zeitreihen fuer 10 Harmonische und Summation
% geht einfach als Summe ueber 10 explizite Zeitreihen
% Trick: Alle Werte in einem Array der Form (10, NT)
t = -2.5:0.01:2.5;
x = b'*sin(pi*(1:N)'*t);
plot(t, x)
